#!/bin/sh
# Borrowing ideas from BetterAuthorizationSample...
# Echo our process ID, in case our parent wants to wait for us.
echo "processX$$Xidentifier"
declare -r APP_PATH="$1"
declare -r APPNAME="$2"
declare -r RESOURCESDIR="$3"
declare -r PAYLOAD="$4"

declare -r APPLY_OPERATION="${RESOURCESDIR}/ApplyOperation.py"

declare -r EXECNAME="$0"
if [ -r "${APPLY_OPERATION}" ] ; then
	"${APPLY_OPERATION}" "${APP_PATH}" "${APPNAME}" "${RESOURCESDIR}" "${EXECNAME}" "${PAYLOAD}"
	if [ $? != "0" ] ; then
		echo "File patching for ${APPNAME} failed with status $?"
        # This pattern is important and shouldn't be changed without
        # also changing AuthExec.m in the UpdateInstaller code. That
        # code will look for this patter, and use the integer to determine
        # our success or failure. This applies to all instances of this pattern.
        echo "++++++++++ 1 ++++++++++"
		exit 1
	fi
else
	echo "Couldn't find ${APPLY_OPERATION}"
    # DO NOT CHANGE THIS PATTERN. SEE COMMENTS ABOVE.
    echo "++++++++++ 1 ++++++++++"
	exit 1
fi

# DO NOT CHANGE THIS PATTERN. SEE COMMENTS ABOVE.
echo "++++++++++ 0 ++++++++++"
exit 0
